Bug 555620 - build python3 version of pyxdg
build python3 version of pyxdg
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyxdg (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: Python3F13
  Show dependency treegraph
 
Reported: 2010-01-14 19:44 EST by Thomas Spura
Modified: 2012-12-20 11:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:15:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for building python3 subpackage (2.40 KB, patch)
2010-01-14 19:44 EST, Thomas Spura
no flags Details | Diff

  None (edit)
Description Thomas Spura 2010-01-14 19:44:50 EST
Created attachment 384491 [details]
patch for building python3 subpackage

python3 is now in rawhide, see
http://lists.fedoraproject.org/pipermail/devel/2010-January/129185.html

Attached is a patch against current CVS checkout, which builds the python3 subpackage on every distribution with %{?fedora} > 12, where currently the python3 package is build.


Koji builds:
F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1922704
F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=1922706


(The patch also changes %define -> %global in the first line)
Comment 1 Dave Malcolm 2010-02-03 09:44:32 EST
Thomas: thanks for creating this patch.

We need to work with upstream as far as possible when packaging softwware in Fedora (see http://fedoraproject.org/wiki/PackageMaintainers/WhyUpstream ).  With that in mind:
  - what are upstream's plans (if any) for Python 3 support? Is 2to3 going to be their way of handling python3 support, or are they thinking of doing a separate branch (or have they not thought of it yet...)
  - do what extent have you tested the code coming out of 2to3 and verified that it works? (I notice that the pyxdg tarball has a "tests" subdirectory that doesn't seem to get used in the existing builds, perhaps they could be used to verify that the generated python 3 code works?)

I'd suggest that if the test code still works after going through 2to3 that you should post that information on the upstream mailing list (which appears to be http://lists.freedesktop.org/mailman/listinfo/xdg ; there's also an email address in the AUTHORS file in the tarball), as it seems like an important data point, and to see if they'd be happy with us shipping this subpackage.

Hope this is helpful
Comment 2 Thomas Spura 2010-02-03 11:20:50 EST
Hi Dave,

I just emailed the author of pyxdg to ask for his plans.

The "tests" subdirectory are tests, which are used by upstream itself. E.g. one test reads the gedit.desktop file, modifies it a bit and places it in the current working directory.

I tried to run the tests with this result:

Traceback (most recent call last):
  File "test-desktop-write.py", line 7, in <module>
    test.parse("/usr/share/applications/gedit.desktop")
  File "/usr/lib/python3.1/site-packages/xdg/DesktopEntry.py", line 33, in parse
    IniFile.parse(self, file, ["Desktop Entry", "KDE Desktop Entry"])
  File "/usr/lib/python3.1/site-packages/xdg/IniFile.py", line 33, in parse
    fd = file(filename, 'r')
NameError: global name 'file' is not defined

When I have an answer from upstream, I'll look into this.


Thanks for pointing me to that.
Comment 3 Tom "spot" Callaway 2010-02-18 15:24:22 EST
I'm holding on this, waiting for Thomas to let me know what upstream said.
Comment 4 Thomas Spura 2010-02-18 17:09:55 EST
(In reply to comment #3)
> I'm holding on this, waiting for Thomas to let me know what upstream said.    

Sorry, the mail was out on 2010-02-03 16:12 UTC and nothing heard till now.
Right now, I resend a mail, just in case I hit his spam-box.

I didn't want to subscibe to the mailinglist from comment 1, so I emailed the upstream author directly.
Comment 5 Thomas Spura 2010-03-04 08:28:56 EST
I got an answer from upstream:

The author currently has not much time to work on python3 support, but this is now on his todo list. When he looks into this, he'll say hi again...
Comment 6 Bug Zapper 2010-03-15 10:00:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-02 12:52:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Maël Lavault 2012-10-02 12:00:31 EDT
Can you please update pyxdg ? The 0.23 release is out and pyxdg support python3 since 0.20. I'm currently porting gnome-clocks to python 3 (it's a gnome goal) and it would greatly help to have a python 3 release available (backport to fedora 17 if possible) !
Comment 9 Fedora Update System 2012-10-08 13:00:39 EDT
pyxdg-0.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pyxdg-0.23-1.fc17
Comment 10 Fedora Update System 2012-10-08 13:01:01 EDT
pyxdg-0.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pyxdg-0.23-1.fc18
Comment 11 Dave Malcolm 2012-10-08 17:55:33 EDT
Thanks; I've added it to the table in https://fedoraproject.org/wiki/Python3#Python_3_already_in_Fedora
Comment 12 Fedora Update System 2012-10-08 19:54:59 EDT
Package pyxdg-0.23-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyxdg-0.23-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15682/pyxdg-0.23-1.fc18
then log in and leave karma (feedback).
Comment 13 Kalev Lember 2012-10-21 09:06:57 EDT
Perhaps it would be better to call the new subpackage 'python3-xdg' instead of 'python3-pyxdg'?

I can see two advantages with this naming:

 a) Our packaging guidelines suggest to use the name that's used from within Python code: "This makes a package name format of python-$NAME. When in doubt, use the name of the module that you type to import it in a script." [1] And indeed, this name is "xdg", as in "import xdg".

 b) This would be closer to Debian naming where the (python2 compatible) binary package is called 'python-xdg' [2].

[1] http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29
[2] http://packages.debian.org/sid/python-xdg
Comment 14 Fedora Update System 2012-12-20 11:15:31 EST
pyxdg-0.23-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.